Bug 24336 - В access лог пишется common вместо логов
: В access лог пишется common вместо логов
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/apache2)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2010-10-16 16:53 by
Modified: 2010-10-25 17:06 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2010-10-16 16:53:00
В access логи пишется просто common без расшифровки, с error логами все в
порядке.

apache2-2.2.16-alt2
------- Comment #1 From 2010-10-16 21:59:46 -------
  Прошу ваши настройки и пример лога.
------- Comment #2 From 2010-10-18 12:00:33 -------
у меня такая-же ерунда вылезла при dist-upgrade.

Ещё и dir.conf пришлось вручную симлинк делать.

В итоге (т.к. всё надо было чинить срочно) - переехал на связку nginx +
php5-fpm-fcgi. 

Проблему с common подтверждаю, но конфиги дать не смогу ;(
------- Comment #3 From 2010-10-18 23:52:23 -------
OK, буду отлавливать.
------- Comment #4 From 2010-10-19 19:08:25 -------
  Правильно понимаю, что модуль log_config загружен?

  Похоже не отрабатывают настройки conf/mods-available/log_config.conf (раньше
этот файл был extra-available/log_config_default.conf, подключенный по
умолчанию).

  Похоже не отрабатывает строка:

LogFormat "%h %l %u %t \"%r\" %>s %b" common

  Прошу проверить, что существует ссылка
/etc/httpd2/conf/mods-enabled/log_config.conf. Если её нет (при существующей
/etc/httpd2/conf/mods-enabled/log_config.load), то эта бага дубль
https://bugzilla.altlinux.org/show_bug.cgi?id=24101.
------- Comment #5 From 2010-10-21 08:35:07 -------
apache2-2.2.16-alt3 -> sisyphus:

* Wed Oct 20 2010 Aleksey Avdeev <solo@altlinux> 2.2.16-alt3
- Fix <modname>.conf loaded with upgrade (Closes: #24101)
- Fix location for DavLock database (Closes: #24336)
------- Comment #6 From 2010-10-23 13:31:33 -------
apache2-2.2.17-alt1
Fixed